pappso::OboPsiModTerm Class Reference

`#include <obopsimodterm.h>`

## Public Member Functions

| OboPsiModTerm ()=default
| ~OboPsiModTerm ()=default
| OboPsiModTerm (const OboPsiModTerm &)=default
OboPsiModTerm & | operator= (const OboPsiModTerm &)=default
bool | isValid () const

## Public Attributes

QString | m_accession
QString | m_name
QString | m_definition
QString | m_psiModLabel
QString | m_psiMsLabel
QString | m_diffFormula
QString | m_origin
double | m_diffMono

## Private Member Functions

void | parseLine (const QString &line)
void | clearTerm ()

## Private Attributes

friend | OboPsiMod

## Static Private Attributes

static QRegExp | m_firstParse
static QRegExp | m_findExactPsiModLabel
static QRegExp | m_findRelatedPsiMsLabel

## Detailed Description

Definition at line 31 of file obopsimodterm.h.

## Constructor & Destructor Documentation

## OboPsiModTerm() [1/2]

pappso::OboPsiModTerm::OboPsiModTerm | ( |  | ) |

default

## ~OboPsiModTerm()

pappso::OboPsiModTerm::~OboPsiModTerm | ( |  | ) |

default

## OboPsiModTerm() [2/2]

pappso::OboPsiModTerm::OboPsiModTerm | ( | const OboPsiModTerm & |  | ) |

default

## Member Function Documentation

## clearTerm()

void pappso::OboPsiModTerm::clearTerm | ( |  | ) |

private

Definition at line 131 of file obopsimodterm.cpp.

{
m_accession = "";
m_name = "";
m_definition = "";
m_psiModLabel = "";
m_diffFormula = "";
m_diffMono = 0;
m_origin = "";
}
pappso::OboPsiModTerm::m_psiModLabel
QString m_psiModLabel
Definition: obopsimodterm.h:47
pappso::OboPsiModTerm::m_diffFormula
QString m_diffFormula
Definition: obopsimodterm.h:49
pappso::OboPsiModTerm::m_origin
QString m_origin
Definition: obopsimodterm.h:50
pappso::OboPsiModTerm::m_definition
QString m_definition
Definition: obopsimodterm.h:46
pappso::OboPsiModTerm::m_diffMono
double m_diffMono
Definition: obopsimodterm.h:52
pappso::OboPsiModTerm::m_accession
QString m_accession
Definition: obopsimodterm.h:44
pappso::OboPsiModTerm::m_name
QString m_name
Definition: obopsimodterm.h:45

References m_accession, m_definition, m_diffFormula, m_diffMono, m_name, m_origin, and m_psiModLabel.

Referenced by pappso::OboPsiMod::parse().

## isValid()

bool pappso::OboPsiModTerm::isValid | ( |  | ) | const

Definition at line 51 of file obopsimodterm.cpp.

{
return (!m_accession.isEmpty());
}

References m_accession.

Referenced by pappso::OboTermForm::displayOboTerm().

## operator=()

OboPsiModTerm& pappso::OboPsiModTerm::operator= | ( | const OboPsiModTerm & |  | ) |

default

## parseLine()

void pappso::OboPsiModTerm::parseLine | ( | const QString & | line | ) |

private

Definition at line 57 of file obopsimodterm.cpp.

{
// qDebug() << "OboPsiModTerm::parseLine begin " << line;
// id: MOD:00007
if(m_firstParse.exactMatch(line))
{
QStringList pline = m_firstParse.capturedTexts();
// qDebug() << "OboPsiModTerm::parseLine match " << pline[0] << pline[1];
if(pline[1] == "id")
{
m_accession = pline[2].trimmed();
// qDebug() << "OboPsiModTerm::parseLine accession = " << m_accession;
}
else if(pline[1] == "name")
{
m_name = pline[2].trimmed();
// qDebug() << "OboPsiModTerm::parseLine accession = " << m_accession;
}
else if(pline[1] == "xref")
{
// xref: DiffMono: "1.007276"
if(m_firstParse.exactMatch(pline[2]))
{
QStringList psecond = m_firstParse.capturedTexts();
if(psecond[1] == "DiffMono")
{
m_diffMono = psecond[2].replace("\"", "").toDouble();
// qDebug() << "OboPsiModTerm::parseLine m_diffMono = " <<
// m_diffMono;
}
else if(psecond[1] == "DiffFormula")
{
m_diffFormula = psecond[2].trimmed().replace("\"", "");
// qDebug() << "OboPsiModTerm::parseLine m_diffFormula = |" <<
// m_diffFormula<<"|";
}
else if(psecond[1] == "Origin")
{
m_origin =
psecond[2].trimmed().replace("\"", "").replace(",", "");
// qDebug() << "OboPsiModTerm::parseLine m_diffFormula = |" <<
// m_diffFormula<<"|";
}
}
}
else if(pline[1] == "synonym")
{
// synonym: "Se(S)Res" EXACT PSI-MOD-label []
if(m_findExactPsiModLabel.exactMatch(pline[2]))
{
m_psiModLabel =
m_findExactPsiModLabel.capturedTexts()[1].trimmed().replace(
"\"", "");
// qDebug() << "OboPsiModTerm::parseLine m_psiModLabel = |" <<
// m_psiModLabel<<"|";
}
else if(m_findRelatedPsiMsLabel.exactMatch(pline[2]))
{
m_psiMsLabel =
m_findRelatedPsiMsLabel.capturedTexts()[1].trimmed().replace(
"\"", "");
// qDebug() << "OboPsiModTerm::parseLine m_psiModLabel = |" <<
// m_psiModLabel<<"|";
}
}
else if(pline[1] == "def")
{
// def: "A protein modification that modifies an L-asparagine
// residue." [PubMed:18688235]
m_definition = pline[2];
}
}
}
pappso::OboPsiModTerm::m_findExactPsiModLabel
static QRegExp m_findExactPsiModLabel
Definition: obopsimodterm.h:59
pappso::OboPsiModTerm::m_firstParse
static QRegExp m_firstParse
Definition: obopsimodterm.h:58
pappso::OboPsiModTerm::m_psiMsLabel
QString m_psiMsLabel
Definition: obopsimodterm.h:48
pappso::OboPsiModTerm::m_findRelatedPsiMsLabel
static QRegExp m_findRelatedPsiMsLabel
Definition: obopsimodterm.h:60

References m_accession, m_definition, m_diffFormula, m_diffMono, m_findExactPsiModLabel, m_findRelatedPsiMsLabel, m_firstParse, m_name, m_origin, m_psiModLabel, and m_psiMsLabel.

Referenced by pappso::OboPsiMod::parse().

## Member Data Documentation

## m_accession

QString pappso::OboPsiModTerm::m_accession

Definition at line 44 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::AaModification::createInstance(), pappso::OboTermForm::displayOboTerm(), pappso::AaModification::getInstance(), isValid(), pappso::OboListWidget::onSelectionChanged(), parseLine(), and pappso::FilterOboPsiModTermAccession::setOboPsiModTerm().

## m_definition

QString pappso::OboPsiModTerm::m_definition

Definition at line 46 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::OboTermForm::displayOboTerm(), and parseLine().

## m_diffFormula

QString pappso::OboPsiModTerm::m_diffFormula

Definition at line 49 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::AaModification::createInstance(), pappso::OboTermForm::displayOboTerm(), and parseLine().

## m_diffMono

double pappso::OboPsiModTerm::m_diffMono

Definition at line 52 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::AaModification::createInstance(), pappso::OboTermForm::displayOboTerm(), pappso::OboListProxyModel::filterAcceptsRow(), pappso::OboListProxyModel::lessThan(), parseLine(), and pappso::FilterOboPsiModTermDiffMono::setOboPsiModTerm().

## m_findExactPsiModLabel

QRegExp pappso::OboPsiModTerm::m_findExactPsiModLabel

static private

Definition at line 59 of file obopsimodterm.h.

Referenced by parseLine().

## m_findRelatedPsiMsLabel

QRegExp pappso::OboPsiModTerm::m_findRelatedPsiMsLabel

static private

Definition at line 60 of file obopsimodterm.h.

Referenced by parseLine().

## m_firstParse

QRegExp pappso::OboPsiModTerm::m_firstParse

static private

Definition at line 58 of file obopsimodterm.h.

Referenced by parseLine().

## m_name

QString pappso::OboPsiModTerm::m_name

Definition at line 45 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::AaModification::createInstance(), pappso::OboTermForm::displayOboTerm(), parseLine(), and pappso::FilterOboPsiModTermName::setOboPsiModTerm().

## m_origin

QString pappso::OboPsiModTerm::m_origin

Definition at line 50 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::AaModification::createInstance(), pappso::OboTermForm::displayOboTerm(), and parseLine().

## m_psiModLabel

QString pappso::OboPsiModTerm::m_psiModLabel

Definition at line 47 of file obopsimodterm.h.

Referenced by clearTerm(), pappso::OboTermForm::displayOboTerm(), parseLine(), and pappso::FilterOboPsiModTermLabel::setOboPsiModTerm().

## m_psiMsLabel

QString pappso::OboPsiModTerm::m_psiMsLabel

Definition at line 48 of file obopsimodterm.h.

Referenced by parseLine(), and pappso::FilterOboPsiModTermLabel::setOboPsiModTerm().

## OboPsiMod

friend pappso::OboPsiModTerm::OboPsiMod

private

Definition at line 33 of file obopsimodterm.h.

The documentation for this class was generated from the following files:

- pappsomspp/obo/obopsimodterm.h
- pappsomspp/obo/obopsimodterm.cpp